Orxonox: orxonox::packet::GamestateHeader Class Reference

# orxonox::packet::GamestateHeader Class Reference

`#include <src/network/packet/Gamestate.h>`

List of all members.

## Public Member Functions

| GamestateHeader (uint8_t *data, GamestateHeader *h)
| GamestateHeader (uint8_t *data)
int32_t | getBaseID () const
uint32_t | getCompSize () const
uint32_t | getDataSize () const
int32_t | getID () const
bool | isComplete () const
bool | isCompressed () const
bool | isDiffed () const
void | operator= (GamestateHeader &h)
void | setBaseID (int32_t id)
void | setComplete (bool b)
void | setCompressed (bool b)
void | setCompSize (uint32_t size)
void | setDataSize (uint32_t size)
void | setDiffed (bool b)
void | setID (int32_t id)

## Static Public Member Functions

static uint32_t | getSize ()

## Private Attributes

uint8_t * | data_

## Constructor & Destructor Documentation

orxonox::packet::GamestateHeader::GamestateHeader | ( | uint8_t * | data | ) | `[inline]`

References orxonox::packet::Type::Gamestate.

orxonox::packet::GamestateHeader::GamestateHeader | ( | uint8_t * | data,
|  | GamestateHeader * | h |
| ) |  |  | `[inline]`

References data_.

## Member Function Documentation

int32_t orxonox::packet::GamestateHeader::getBaseID | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::decompressData().

uint32_t orxonox::packet::GamestateHeader::getCompSize | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::compressData(), orxonox::packet::Gamestate::decompressData(), and orxonox::packet::Gamestate::getSize().

uint32_t orxonox::packet::GamestateHeader::getDataSize | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::compressData(), orxonox::packet::Gamestate::decompressData(), orxonox::packet::Gamestate::diff(), orxonox::packet::Gamestate::doSelection(), orxonox::packet::Gamestate::getSize(), orxonox::packet::Gamestate::operator==(), orxonox::packet::Gamestate::spreadData(), and orxonox::packet::Gamestate::undiff().

int32_t orxonox::packet::GamestateHeader::getID | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::decompressData(), orxonox::packet::Gamestate::doSelection(), and orxonox::packet::Gamestate::spreadData().

static uint32_t orxonox::packet::GamestateHeader::getSize | ( |  | ) | `[inline, static]`

Referenced by orxonox::packet::Gamestate::collectData(), orxonox::packet::Gamestate::compressData(), orxonox::packet::Gamestate::decompressData(), orxonox::packet::Gamestate::diff(), orxonox::packet::Gamestate::doSelection(), orxonox::packet::Gamestate::getSize(), orxonox::packet::Gamestate::operator==(), orxonox::packet::Gamestate::spreadData(), and orxonox::packet::Gamestate::undiff().

bool orxonox::packet::GamestateHeader::isComplete | ( |  | ) | const`[inline]`

bool orxonox::packet::GamestateHeader::isCompressed | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::compressData(), orxonox::packet::Gamestate::decompressData(), orxonox::packet::Gamestate::diff(), orxonox::packet::Gamestate::getSize(), orxonox::packet::Gamestate::spreadData(), and orxonox::packet::Gamestate::undiff().

bool orxonox::packet::GamestateHeader::isDiffed | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::diff(), orxonox::packet::Gamestate::spreadData(), and orxonox::packet::Gamestate::undiff().

void orxonox::packet::GamestateHeader::operator= | ( | GamestateHeader & | h | ) | `[inline]`

References data_.

void orxonox::packet::GamestateHeader::setBaseID | ( | int32_t | id | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData(), and orxonox::packet::Gamestate::diff().

void orxonox::packet::GamestateHeader::setComplete | ( | bool | b | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData().

void orxonox::packet::GamestateHeader::setCompressed | ( | bool | b | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData(), orxonox::packet::Gamestate::compressData(), and orxonox::packet::Gamestate::decompressData().

void orxonox::packet::GamestateHeader::setCompSize | ( | uint32_t | size | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::compressData().

void orxonox::packet::GamestateHeader::setDataSize | ( | uint32_t | size | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData(), and orxonox::packet::Gamestate::doSelection().

void orxonox::packet::GamestateHeader::setDiffed | ( | bool | b | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData(), orxonox::packet::Gamestate::diff(), and orxonox::packet::Gamestate::undiff().

void orxonox::packet::GamestateHeader::setID | ( | int32_t | id | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::collectData().

## Member Data Documentation

uint8_t* orxonox::packet::GamestateHeader::data_`[private]`

Referenced by GamestateHeader(), and operator=().

The documentation for this class was generated from the following file:

- src/network/packet/Gamestate.h